* Feb 20  2004 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added Chinese online manuals

* Feb 10  2004 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added Korean online manuals

* Jan 20  2004 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added new looks and feels

* Jan 10  2004 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a form viewing the folders to wsbuilder

* Jan 1  2004 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Made the message dialog of wsbuilder to floated form

* Dec 2  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added runtime libraries for BTRON platform

* Oct 5  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCsheet class.

* Sep 22  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of drawing of WSCpulldownMenu on WSCdialog

* Aug 25  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added IE plugin function.

* Jul 15  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added netscape plugin function.

* Jun 10  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added korean version.

* May 12  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added online manuals of programming with perl.

* May 08  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added online manuals of programming with python.

* May 04  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a build option to link static libraries.

* Apr 29  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of xim on MacOS X with X11 Window System.

* Apr 25  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added online manuals of programming with ruby.

* Apr 22  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of binding of WSCvssocket on WIN98/95

* Mar 04  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a configuration for MacOS X with X11 Window System.

* Feb 20  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a network function to WSCfileSelect of WIN32 version.

* Feb 15  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of launching editor from compiling message
    dialog to wsbuilder.

* Feb 12  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSNtitleBar property of WIN32 WSCwindow.

* Feb 10  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of clicking menu items of WSCcomboBox.

* Feb 05  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated a function of horizontal scrolling on verbose mode
    of WSClist class.

* Feb 03  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug that the compiling message dialog may hang-up.

* Jan 25  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated mpfc wrap library for Ruby/Python/Perl.

* Dec 04  2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added mpfc wrap library for Perl.

* Oct 05 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added mpfc wrap library for Python.

* Sep 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added mpfc wrap library for Ruby.

* Aug 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvdbDataSource class.

* Jul 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed English on-line manuals.

* Jul 01 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed Japanese on-line manuals.

* Jun 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a core dump bug of wsbuilder.

* Jun 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added wsagent-local to WIN32 package.

* May 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCR* remote stab class 

* May 15 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added wsagent command which manages the remote instances.

* May 12 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSDdev::drawGradation()

* May 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvdb database client class 

* May 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvodbc ODBC client class 

* May 08 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCRbase remote stab class 

* May 05 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added remote call functions

* Apl 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added PNG format function.

* Apl 14 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCopenglForm class 

* Apl 04 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCj3wform class 

* Mar 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvudpsocket class 

* Mar 18 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvcsocket/WSCvssocket class 

* Mar 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSCsform's virtical mode

* Mar 02 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSCtextField::getTopLine

* Feb 28 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of the instance viewer of wsbuilder

* Feb 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of Alt + CharKey on WSCpulldownMenu(in WIN32 Edition)

* Feb 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSCgrid::setItem

* Feb 13 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSCstring::deleteChars

* Feb 11 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSCprform::prdraw

* Feb 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSCdirTree::draw

* Feb 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvimage class.

* Jan 15 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added MS print out function to WSCprform

* Jan 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of initializing data source

* Jan 05 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added scr-mouse triggers to WSCscrForm/WSCtextField

* Jan 01 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added TraceDialog to wsbuilder

* Dec 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated the class reference

* Dec 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSDwinMessage

* Dec 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCgrid class.

* Dec 02 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added property WSNenableInput to WSClist

* Nov 23 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added an executable command "wstracer"

* Nov 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of generating source code of application window,
                  that does not generate output of some properties;

* Nov 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of executing event procedures on store/load function.

* Nov 17 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of executing the sourcecode editor
    for the class windows on the builder.

* Nov 12 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed API reference of on line manuals.

* Nov 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCprform class.

* Nov 04 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of generating the structure infomation to the builder.

* Oct 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed refreshing logic of WSCdirTree.

* Oct 13 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed refreshing logic of WSClist.

* Oct 08 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed refreshing logic of WSCscrForm.

* Oct 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed refreshing logic of WSCsform.

* Oct 04 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed X11 cut & paste function with.

* Sep 29 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added some method to WSCradioGroup.

* Sep 27 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added an input field in order to add external source file to the project.

* Sep 26 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of generating platform compatible project file.

* Sep 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed wsbuilder's icon bar with WSCfform class.

* Sep 23 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCfform class

* Sep 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCdirTree class

* Sep 16 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed memory leaking of jpg.so

* Sep 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a corner accessory and status area to WSCmainWindow.

* Sep 09 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug on 24bpp image reading function.

* Sep 08 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added FOCUS-CH trigger to WSCmainWindow

* Sep 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed memory leaking on deleting instances.

* Aug 31 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed icons.

* Aug 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated the English online manuals.

* Aug 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated the Japanese online manuals.

* Aug 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed the \n code conversion of the WSCtextField/WSCvmifield class.

* Aug 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a source code of the storing function for a bug of gcc.

* Aug 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a source code of the storing function for a bug of gcc.

* Jul 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated the Japanese online manuals.

* Jul 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of the storing function on unix.

* Jul 14 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed updating window of wsbuilder under resizing.

* Jul 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvgraphMatrix class.

* Jul 04 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of image buffer.

* Jul 02 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of creating directory on new project wizard.

* Jun 30 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a segv buf of the event procedure editor.

* Jun 30 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a buf of WSCvifield's keyboard focus.

* Jun 29 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a buf of updating WSCvXXX objects by setVisible(True).

* Jun 29 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a buf of handing size of iconic window.

* Jun 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of wheel of mouse.

* Jun 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of converting code by sjisfix.

* Jun 16 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added horizontal scroll function to WSClist.

* Jun 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated samples and Added UNICODE samples.

* Jun 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added property input dialog to wsbuilder.

* Jun 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvklabel,WSCvkslabel class.

* Jun 09 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCtform class.

* Jun 09 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSNanchorXXX properties.

* Jun 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCverbList,WSCtreeList class.

* Jun 02 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function to generate project files with various codes.

* May 28 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a file view list to wsbuilder

* May 28 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed make.win and makefile, added makewin.bat

* May 27 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added saving last project directory function to wsbuilder.

* May 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed keyboard input bug on windows version.

* May 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvgraphScale class.

* May 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSNitemHeight to WSClist class.

* May 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvlineGraph class.

* May 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvbarGraph class.

* May 19 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added bmp function to unix version.

* May 19 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added jpg function to windows version.

* May 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCcheckGroup class.

* May 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCradioGroup class.

* May 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvballoonHelp class.

* May 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCmenuArea class.

* May 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCmainWindow class.

* May 08 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvspace class.

* May 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvtimer class.

* May 05 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCngbase class.

* May 01 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvertForm/WSChorzForm class.

* May 01 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvpifield class.

* Apl 30 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvdrawingArea class.

* Apl 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added I18N function.

* Apl 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added UNICODE function.

* Apl 05 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added xpms to dynamic libraries.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of selected string on WSCvifield.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of updating values on WSCtextField.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed return key focus bug on the procedure/trigger creation dialog.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed RESIZE trigger on WSCwindow/WSCform.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed some clearing bug of WSClist.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added COPYRIGHT file.

* Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added install/uninstall section to makefile

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a method getItemValue() to WSClist.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a fault of clicking right button on  WSCpulldownMenu/WSCoption.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a new dialog which is used to setup user define triggers.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added POLICY_CH trigger to WSCbaseDialog.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a handler of exiting application to WSCwindow.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed the update timing of input value of property editor.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed the update timing of input value of window attribute editor.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed cut & paste function of the compiling message dialog.

* Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Deleted WSClist from Forms of the object box dialog.

* Feb 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed for Redhat 7.0.

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSNexit property to WSCwindow.

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added #DEFAULTFONT to .wsrc for customizing of FONT_NO 8.

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed value of property:WSNmenuItems of WSCpulldownMenu/WSCoption.

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a miss of TRG-LIST (added FOCUS_CH to it) of WSCprocedureEditor

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a refresh bug of WSClist's scrolling.

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a method replaceItem to WSClist.

* Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of updating of WSClist.

* Jan 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of keyboard focus handling on WSCpulldownMenu.

* Jan 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSNtype property of WSClist.

* Jan 07 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed initializing bug of WSDappDev.cpp

* Jan 07 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed samples of Windows edition(It included X11 version..).

* Dec 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed html manuals for v1.2.

* Dec 23 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCselectForeColor to WSClist.

* Dec 23 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a 2byte code handling bug of WSCvifield/WSCtextField(Windows).

* Dec 22 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed WSCvifield's default backcolor.

* Dec 22 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a mouse pointer image function(Windows).

* Dec 22 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a font selection dialog to the application builder(Windows).

* Dec 22 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of handling icon image type(Windows).

* Dec 18 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCvradio class.

* Dec 18 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function to change the Look and Feel.

* Dec 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSNworkBackColor property to dialog classes.

* Dec 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCdialog class.

* Dec 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added return key focus functions to WSCvbtn/WSCvifield/WSCvmifield.

* Dec 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed icons for 8bits depth display.

* Dec 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a canceling to project editor.

* Dec 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a default color selection dialog to wsbuilder.

* Dec 13 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added key navigation to WSCpulldownMenu

* Dec 12 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a shorcutkey function to WSCpulldownMenu

* Dec 08 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function that handles default colors.

* Dec 08 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a pop down function by esc key to dialog.

* Dec 08 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added gradation property to classes.

* Dec 08 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed scroll bar's face.

* Nov 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed fonts for wsbuilder(X11).

* Nov 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of displaying jpeg file on depth above 16bit.

* Nov 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of mouse grabbing after dragging and dropping(Windows).

* Nov 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed fonts for wsbuilder(Windows).

* Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of displaying console on debugging mode(Windows).

* Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of executing debugger (Windows).

* Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a flickering bug of WSCvmifield.

* Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of resizing WSCscrForm (Windows).

* Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a flickering bug of WSCtextField's scr bar.

* Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a flickering bug of WSDnwDev.cpp.

* Nov 19 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a problem of resizing window on Windows.

* Nov 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a delete handing procedure to WSCpopupMenu/WSCballoonHelp.

* Nov 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of executing event procedures.

* Nov 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed selection owner logic and added WSCbase::onSelectionChange().

* Nov 15 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed to give a default value to WSNtitleString on builder.

* Nov 15 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added recursive mode to WSCpopupMenu::registerClients().

* Nov 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a WSNworkBackColor update bug of WSCcomboBox.

* Nov 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a group/uniue selected status bug of WSCvtoggle.

* Nov 12 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a WM_DELETE handling bug.

* Nov 12 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a file selection dir-mode settings bug of builder.

* Nov 12 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Replaced MAKE and CLEAN script file by makefile.

* Nov 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed to handle WSEV_PARENT_VISIBLE events.

* Nov 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a resizing bug of WSCwindow/WSCbaseDialog.

* Nov 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a fucus bug of WSCinputDialog.

* Nov 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a mkdir button to WSCfileSelect dialog.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed makefile for making dinamic link libraries.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WScom.cpp generating skelton source code for windows.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSDexecute::setCurrentDir,WSDexecute::getCurrentDir methods.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WSCwizardDialog resizing bugs.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCstring::toupper,WSCstring::tolower methods.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WSCstring sjis bugs for windows.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added include/win directory

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added src/win directory

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WSCfileSelect dirmode clicking-dir bugs.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WSCbaseDialog resizing bugs.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added WSCprocessBox::getHandle(),WSNdirName to WSCprocessBox class.

* Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WSCpropretyEditor *WSNvis* operation bugs.

* Oct 16 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed WSCvifield::deleteSelectedString().

* Oct 07 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a notepad sample.

* Oct 07 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed some WSCvifield/WSCtextField bugs.

* Oct 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added setWithXXX() method to WSDkeyboard class.

* Oct 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added methods for selected string to WSCvifield/WSCtextField class.

* Oct 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Changed onXXXX() methods from protedted to public.
